Check In Own Event Registration
curl --request POST \
--url https://api.thefaithapp.com/v1/events/{event}/registrations/{registration}/self-check-in \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/events/{event}/registrations/{registration}/self-check-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/events/{event}/registrations/{registration}/self-check-in"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"id": 45,
"status": "registered",
"checked_in": true,
"check_in_source": "member",
"check_in_time": "2026-09-06T09:35:00Z"
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Events & Volunteers
Check In Own Event Registration
Checks in a registration owned by the authenticated member while the event self-check-in window is open. Paid registrations must be provider-confirmed first.
POST
/
v1
/
events
/
{event}
/
registrations
/
{registration}
/
self-check-in
Check In Own Event Registration
curl --request POST \
--url https://api.thefaithapp.com/v1/events/{event}/registrations/{registration}/self-check-in \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/events/{event}/registrations/{registration}/self-check-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/events/{event}/registrations/{registration}/self-check-in"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"id": 45,
"status": "registered",
"checked_in": true,
"check_in_source": "member",
"check_in_time": "2026-09-06T09:35:00Z"
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Event identifier.
Registration identifier.
Was this page helpful?